# Generated by Django 3.2.16 on 2022-11-15 18:04

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("achievements", "0001_initial"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="achieved",
            options={"ordering": ["achievement", "person"]},
        ),
        migrations.AlterModelOptions(
            name="achievement",
            options={
                "ordering": ["name", "abbrev"],
                "permissions": (
                    ("can_see_all", "See all achievements"),
                    ("reward_achievement", "Reward any achievement"),
                ),
            },
        ),
        migrations.AlterModelOptions(
            name="medal",
            options={"ordering": ["name", "abbrev"]},
        ),
        migrations.AlterModelOptions(
            name="received",
            options={"ordering": ["medal", "person"]},
        ),
        migrations.AddField(
            model_name="achieved",
            name="has_achieved",
            field=models.BooleanField(
                default=False,
                help_text="bool indicating wether or not this person has achieved this achievement",
            ),
        ),
    ]
